## parcel-tracker 12.09.6-extras12.04.1

=== debian/changelog ===
parcel-tracker (12.09.6-extras12.04.1) precise; urgency=low

  * New version for extras. Numerous tracking services and bugfixes.

 -- Vsevolod Velichko <torkvema@gmail.com>  Wed, 26 Sep 2012 17:29:35 +0400
