=== debian/control ===
Source: parcel-tracker
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Vsevolod Velichko <torkvema@gmail.com>
Standards-Version: 3.9.3
X-Python-Version: >= 2.6

Package: parcel-tracker
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 python-quickly.widgets,
 gir1.2-gtk-3.0,
 gir1.2-appindicator3-0.1,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 python-dateutil,
 python-gevent,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: Parcel tracking application
 Application dedicated to help people track their post items that have a
 tracking number. It fetches information from different network post
 services and notify user when something new is available. Integration
 with Ubuntu is included.
