=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/parcel-tracker/bin                 --install-data=/opt/extras.ubuntu.com/parcel-tracker                 --install-lib=/opt/extras.ubuntu.com/parcel-tracker

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/parcel-tracker


override_dh_install:
	dh_install
	mkdir -p debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/bin
	if [ -x debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/parcel-tracker ]; then mv debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/parcel-tracker debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/bin; fi
	if [ -f debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/share/applications/parcel-tracker.desktop ]; then \
		mkdir -p debian/parcel-tracker/usr/share/applications; \
		mv debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/share/applications/parcel-tracker.desktop debian/parcel-tracker/usr/share/applications/extras-parcel-tracker.desktop; \
		rmdir --ignore-fail-on-non-empty debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/parcel-tracker/bin/parcel-tracker|' debian/parcel-tracker/usr/share/applications/extras-parcel-tracker.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/parcel-tracker/|' debian/parcel-tracker/usr/share/applications/extras-parcel-tracker.desktop; \
	fi
	grep -RlZ 'import gettext' debian/parcel-tracker/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/parcel-tracker/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('parcel-tracker')" debian/parcel-tracker/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('parcel-tracker')\)|locale\.bindtextdomain('parcel-tracker', '/opt/extras.ubuntu.com/parcel-tracker/share/locale')\nlocale\1|" 
	sed -i "s|__parcel_tracker_data_directory__ =.*|__parcel_tracker_data_directory__ = '/opt/extras.ubuntu.com/parcel-tracker/share/parcel-tracker/'|" debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/parcel_tracker*/parcel_trackerconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/parcel-tracker/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/bin/parcel-tracker
	if [ -d debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/share/glib-2.0/schemas ]; then glib-compile-schemas debian/parcel-tracker/opt/extras.ubuntu.com/parcel-tracker/share/glib-2.0/schemas; fi
